Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

use Perl Log In

Log In

[ Create a new account ]

Alias (5735)

Alias
  (email not shown publicly)
http://ali.as/

Journal of Alias (5735)

Wednesday March 12, 2008
03:25 AM

Strawberry Perl 5.10.0 April 2008 Beta 1

[ #35892 ]

http://strawberryperl.com/download/strawberry-perl-5.10.0-update-1-beta-1.exe

This is the first Beta for Strawberry Perl 5.10.0 April 2008 (the final release should contain BOTH 5.8.8 and 5.10.0).

It contains all the features previously mentioned in the Vanilla release below, with the exception that it does NOT contain the relocatable functionality.

This is a fairly rough first pass of the build, without any improvements to the installer itself and not ALL of the additional modules that might be added.

In particular, this release contains libwin32, Win32::API, expat, XML::Parser and PPM.pm installed by default. I have no idea if or how PPM.pm works with Strawberry, but it does now install correctly.

Between now and the release I hope to spend some time tweaking the set of installed modules, making some minor improvements to the install/uninstall process, and fiddling with PPM and PAR to see how useful they might be.

Oh, and coming up with an installer file naming scheme that isn't quite so ugly :)

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • Any success in solving the Windows Vista problems?
    • Alas, not this time.

      There's been some experimental releases and patches to fix it from various people, but nothing that I'd consider production grade is ready this cycle.

      Hopefully it will be ready for the June cycle.
  • I tried out PPM, and it needed a couple of additional things:
    • installation of SOAP::Lite
    • a patch to PPM.pm found on perlmonks [perlmonks.org]
    • setting an appropriate ppm build directory via, for example, ppm set build C:\Temp
    After this, installation of, for example, GD worked fine.
    • I'm looking into this problem.

      The main problem is that I can't patch anything properly, and the CPAN distropref system needs system patch.

      So I've gotten gnu patch installing into the distro, and I'm working on getting distropref patch support working.